import sys

from setuptools import setup
from setuptools import find_packages

tests_require = []

if sys.version < '2.7':
    tests_require.append('unittest2')

setup(
    name='xmltrans',
    version='0.1.0',
    description='XML transformation tool.',
    author='Robert Pogorzelski',
    author_email='thinkingpotato@gmail.com',
    license='BSD',
    long_description=open('README').read(),
    packages=find_packages(),
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Software Development :: Libraries',
        'Topic :: Text Processing :: Markup :: XML',
    ],
    install_requires=['lxml>=2.3'],
    tests_require=tests_require,
    test_suite='xmltrans.tests',
    url='https://bitbucket.org/thinkingpotato/xmltrans/',
)
